Bug 437510 - anaconda crash in text mode after grub settings
anaconda crash in text mode after grub settings
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-14 12:58 EDT by Dag
Modified: 2008-06-21 16:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-21 16:17:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dag 2008-03-14 12:58:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
After having choosen which systems you want to boot and which one is default, anaconda crashes with this error:
"/usr/lib/anaconda/textw/bootloader_
text.py", line 165, in __call__
   locations.append (format %
(device, _(desc)))
 File "/usr/lib/anaconda/text.py",
line 629, in run
   rc = win(self.screen, instance)
 File "/usr/bin/anaconda", line
1065, in <module>
  anaconda.intf.run(anaconda)
UnicodeDecodeError: 'ascii' codec
can't decode byte 0xc3 in position
9: original not in range(128)



Version-Release number of selected component (if applicable):
Fedora9-Alpha i386 rescue CD: install in text mode via FTP

How reproducible:
Always


Steps to Reproduce:
0. download Fedora9-Alpha rescue CD i386 and check the SHA1SUM
1. boot Fedora9-Alpha rescue CD i386
2. choose new install in text mode
3. when ask for install method, choose URL
4. URL = ftp://ftp.free.fr/mirrors/fedora.redhat.com/fedora/linux/releases/test/9-Alpha/Fedora/i386/iso/
5. let all options as default
6. just after anaconda asked for which systems to boot and which will be default (the screen which will build the grub menu)
7. validate this screen and it crashes with this error.

Actual Results:
Anaconda crashes every times in text mode

Expected Results:
it should have continued with the next step of the installation, just after grub configuration.

Additional info:
The system is uninstalable with the options all set to default.
Comment 1 Jeremy Katz 2008-03-14 18:17:33 EDT
Which locale are you running with?
Comment 2 Dag 2008-03-17 05:00:33 EDT
I'm running with french locale (fr-FR).
Comment 3 Chris Lumens 2008-04-20 17:00:37 EDT
I think Jeremy fixed this up the other day when fixing a related bug.  Please
try the preview release of F9 and see if it's working better.
Comment 4 Bug Zapper 2008-05-14 02:03:25 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.